import React, { PureComponent } from 'react'
import styled from 'styled-components';
import PropTypes from 'prop-types';
import Avatar from './Avatar';

const Title = styled.div`
    height: 20%
`;


export default class TitleBar extends PureComponent {
  render() {
      const {name, sub, avatar} = this.props;
    return (
      <Title>
          <Avatar src={avatar}/>
          {name}
      </Title>
    )
  }
}

TitleBar.propTypes = {
    name: PropTypes.string.isRequired,
    sub: PropTypes.string,
    avatar: PropTypes.string.isRequired
};
