import React from 'react';
import { storiesOf } from '@storybook/react';
import { action } from '@storybook/addon-actions';
import { MessageBubble, MessageInput, ChatLog, Avatar, TitleBar } from '../lib/index';


const MessageList = [
    'This is the first messages',
    'This is the second message',
    `This is message contains multiple lines to show the flexibility.
    Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the 
    industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and 
    scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap 
    into electronic typesetting, remaining essentially unchanged. 
    It was popularised in the 1960s with the release of Letraset sheets containing Lorem 
    Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker 
    including versions of Lorem Ipsum.`,

]

const formattedMessages = 
  [
  {    
    "uuid": "asda",    
    "text": "b",    
    "timetoken": "1"    
  },    
  {    
    "uuid": "1533338851022",    
    "text": "hey 4\n",    
    "timetoken": "15333388571926426"    
  },    
  {    
    "uuid": "1533338851022",    
    "text": "hey 3\n",    
    "timetoken": "15333388555363016"    
  },    
  {    
    "uuid": "1533338815309",    
    "text": "hey 2\n",    
    "timetoken": "15333388260587892"    
  },    
  {    
    "uuid": "1533338815309",    
    "text": "hey 1\n",    
    "timetoken": "15333388199113521"    
  },    
  {    
    "uuid": "asda",    
    "text": "a",    
    "timetoken": "15333388199113522"    
  },    
  {    
    "uuid": "asda",    
    "text": "b",    
    "timetoken": "15333388199113523"    
  },    
  {    
    "uuid": "asda",    
    "text": "c",    
    "timetoken": "15333388199113524"    
  }]

storiesOf('Messaging', module)
  .add('Sender', () => (
    <div> 
        <MessageBubble text={ MessageList[0] } sender top />
        <MessageBubble text={ MessageList[1] } sender />
        <MessageBubble text={ MessageList[2] } 
        sender />
        <MessageBubble text={ 'This is the last message' } sender bottom />
    </div>
    
  ))
  .add('Recipient', () => (
    <div>
        <MessageBubble 
            text={ MessageList[0] } 
            background='#d02129' 
            color='#ffffff' top />
        <MessageBubble 
            text={ MessageList[1] } 
            background='#d02129' 
            color='#ffffff' />
        <MessageBubble 
            text={ MessageList[2] } 
            background='#d02129' 
            color='#ffffff' bottom />
    </div>
  ))
  .add('Chat Log', () => (
        <div>
            <ChatLog
                myUuid={'absd'}
                messages={formattedMessages}
                backgroundMe=''
                colorMe=''
                backgroundFriend='#d02129'
                colorFriend='#ffffff'
            />
        </div>
  ));

  storiesOf('Avatar', module)
  .add('Vanilla', () => (
    <Avatar src={'https://d1qb2nb5cznatu.cloudfront.net/startups/i/20390-ac2aabcb893880eea132414f368283e5-medium_jpg.jpg?buster=1315733361'} />
  ));
  storiesOf('Title Bar', module)
  .add('Vanilla', () => (
    <TitleBar 
      name={ 'PubNub' }
      avatar={'https://d1qb2nb5cznatu.cloudfront.net/startups/i/20390-ac2aabcb893880eea132414f368283e5-medium_jpg.jpg?buster=1315733361'}
    />
  ));

  storiesOf('Message Input', module)
  .add('Vanilla', () => (
    <MessageInput text={ 'Hello storybook!' }/>
  ));